return {
  "stevearc/oil.nvim",

  dependencies = { "nvim-tree/nvim-web-devicons" },

  cmd = "Oil",

  keys = {
    { "-", "<cmd>Oil<cr>", desc = "Open Oil" },
  },

  config = function()
    require("oil").setup {
      columns = {
        "icon",
        "permissions",
        "size",
        "mtime",
      },

      keymaps = {
        -- Not using <c-v> because Visual Block mode is useful in an Oil buffer.
        ["<C-l>"] = "actions.select_vsplit",
        ["<C-s>"] = "actions.select_split",
        ["q"] = "actions.close",
      },

      view_options = {
        show_hidden = true,
      },
    }
  end,
}
